apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "go-hello-world.fullname" . }}
  labels:
    app: {{ .Values.deployment.labels }}
    environment: go-hello-world
spec:
  replicas: {{ .Values.deployment.replicaCount }}
  selector:
    matchLabels:
      app: {{ .Values.deployment.labels }}
  template:
    metadata:
      labels:
        app: {{ .Values.deployment.labels }}
        environment: go-hello-world
    spec:
      containers:
        - name: {{ .Values.deployment.name }}
          image: "{{ .Values.deployment.image.repository }}:{{ .Values.deployment.image.tag | default .Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.deployment.image.pullPolicy }}
          ports:
            - containerPort: 8080